function setcolormap(map)
    % SETS THE COLORMAP
    %   Todo

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2022 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    axis();  % Make sure axes exists before assigning the colormap

    ULIEGE_MAP = uliegecolors;

    if nargin == 0
        map = ULIEGE_MAP;
    end

    set(gca, 'ColorOrder', map, 'nextplot', 'replacechildren');

end
